Introduction

SuperShows is one of the most advanced show and effect plugins for minecraft out there today.

About

This plugin has the ability to create full automatic show with timed effects and more, you can execute, move or set elements. If you want to control music within the show you could add it as a command. So you can execute every command you want in the show.

Installation

What minecraft versions do we support? How should i install the plugin? If you have these questions you should read the explanation below.

Versions

I tryed to develop the plugin so that it can be used on almost any minecraft version, due the limits of minecraft 1.8 it wasn't possible to make sure the plugin works with minecraft versions lower than 1.8.8

Supported minecraft nms versions:

  • Version 1_14_R1
  • Version 1_13_R2
  • Version 1_13_R1
  • Version 1_12_R1
  • Version 1_11_R1
  • Version 1_10_R1
  • Version 1_9_R2
  • Version 1_9_R1
  • Version 1_8_R3

Install

Follow these steps so your plugin is installed flawless.

  1. Check if your server has a compatible minecraft version, you can do this by running the command /about
  2. Download the latest version from the spigot page.
  3. Extract the downloaded zip file, you'll see 3 files, 2 .jar files and the other file is a link to this documentation page.
  4. If you use minecraft 1.8.8 - 1.12.2 use the SuperShows-Lite1.8.8-1.12.2.jar file and when you use 1.13 - 1.14 use SuperShows-Lite1.13-1.14.jar
  5. Stop your server if it's running.
  6. Put the correct file for your minecraft version in your plugin folder.
  7. Start your server and check console for errors.
  8. No errors? Nice, your done! Your plugin is installed if you are having errors this might be due your minecraft version, if you use a minecraft version for the list above, please contact me.

Update

If you update from a version lower then 1.1 you should delete all files if you have 1.2 or higher you will be fine.

  1. Stop your server if it's running.
  2. Delete the SuperShows-Lite1.8.8-1.12.2.jar or SuperShows-Lite1.13-1.14.jar file file from your plugin folder.
  3. Download the latest version from the spigot page.
  4. Extract the downloaded zip file, you'll see 3 files, 2 .jar files and the other file is a link to this documentation page.
  5. If you use minecraft 1.8.8 - 1.12.2 use the SuperShows-Lite1.8.8-1.12.2.jar file and when you use 1.13 - 1.14 use SuperShows-Lite1.13-1.14.jar
  6. Put the correct file for your minecraft version in your plugin folder.
  7. Start your server and check console for errors.
  8. No errors? Nice, your done! Your plugin is updated if you are having errors this might be due your minecraft version, if you use a minecraft version for the list above, please contact me.